---
fillpdf.settings:
  path: '/admin/config/media/fillpdf'
  defaults:
    _form: '\Drupal\fillpdf\Form\FillPdfSettingsForm'
    _title: 'FillPDF settings'
  requirements:
    _permission: 'administer pdfs'

fillpdf.forms_admin:
  path: '/admin/structure/fillpdf'
  defaults:
    _form: '\Drupal\fillpdf\Form\FillPdfOverviewForm'
    _title: 'FillPDF'
  requirements:
    _permission: 'administer pdfs'

fillpdf.populate_pdf:
  path: '/fillpdf'
  defaults:
    _controller: '\Drupal\fillpdf\Controller\HandlePdfController::populatePdf'
  requirements:
    _custom_access: '\Drupal\fillpdf\FillPdfAccessController::checkLink'

entity.fillpdf_form.canonical:
  path: '/admin/structure/fillpdf/{fillpdf_form}'
  defaults:
    _entity_form: fillpdf_form.edit
    _title: 'Edit FillPDF form'
  requirements:
    _entity_access: fillpdf_form.update

entity.fillpdf_form.edit_form:
  path: '/admin/structure/fillpdf/{fillpdf_form}'
  defaults:
    _entity_form: fillpdf_form.edit
    _title: 'Edit FillPDF form'
  requirements:
    _entity_access: fillpdf_form.update

entity.fillpdf_form.delete_form:
  path: '/admin/structure/fillpdf/{fillpdf_form}/delete'
  defaults:
    _entity_form: fillpdf_form.delete
    _title: 'Delete FillPDF form'
  requirements:
    _entity_access: fillpdf_form.delete

entity.fillpdf_form.export_form:
  path: '/admin/structure/fillpdf/{fillpdf_form}/export'
  defaults:
    _entity_form: fillpdf_form.export
    _title: 'Export FillPDF form configuration and field mappings'
  requirements:
    _entity_access: fillpdf_form.view

entity.fillpdf_form.import_form:
  path: '/admin/structure/fillpdf/{fillpdf_form}/import'
  defaults:
    _entity_form: fillpdf_form.import
    _title: 'Import FillPDF form configuration and field mappings'
  requirements:
    _entity_access: fillpdf_form.update

entity.fillpdf_form.duplicate_form:
  path: '/admin/structure/fillpdf/{fillpdf_form}/duplicate'
  defaults:
    _entity_form: fillpdf_form.duplicate
    _title: 'Duplicate FillPDF form configuration and field mappings'
  requirements:
    _entity_access: fillpdf_form.duplicate

entity.fillpdf_form_field.edit_form:
  path: '/admin/structure/fillpdf/{fillpdf_form}/{fillpdf_form_field}'
  defaults:
    _entity_form: fillpdf_form_field.edit
    _title: 'Edit FillPDF form field'
  requirements:
    _entity_access: fillpdf_form_field.update
